Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.metadata
Class MetaDataReaderException

    java.lang.Object
      BirtException
          org.eclipse.birt.report.model.api.ModelException
              org.eclipse.birt.report.model.api.metadata.MetaDataReaderException

    public class MetaDataReaderException

extends ModelException

Exception thrown if an error occurs when reading the meta-data description file or the building the meta-data description.

Field Summary
`static java.lang.String` | `DESIGN_EXCEPTION_META_DATA_ERROR` Indicates there are ROM errors.

Fields inherited from class org.eclipse.birt.report.model.api.ModelException
`PLUGIN_ID`

Constructor Summary
`MetaDataReaderException(java.lang.String errCode, org.eclipse.birt.report.model.metadata.MetaDataParserException cause)` Constructs the meta-data reader exception with the error code and the caused parser exception.

Method Summary
`java.lang.String` | `getLocalizedMessage()`
`java.lang.String` | `getMessage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESIGN_EXCEPTION_META_DATA_ERROR

    public static final java.lang.String DESIGN_EXCEPTION_META_DATA_ERROR

  Indicates there are ROM errors.

  See Also:
    Constant Field Values

Constructor Detail

### MetaDataReaderException

    public MetaDataReaderException(java.lang.String errCode,
                                   org.eclipse.birt.report.model.metadata.MetaDataParserException cause)

  Constructs the meta-data reader exception with the error code and the caused parser exception.

  Parameters:
    `errCode` - used to retrieve a piece of externalized message displayed to end user
    `cause` - the nested exception

Method Detail

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

### getMessage

    public java.lang.String getMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.